std::__unspecified__::exception_ptr(3)

NAME
std::__unspecified__::exception_ptr - An opaque pointer to an arbitrary exception.

SYNOPSIS

#include <exception>

  Public Member Functions
exception_ptr (const exception_ptr &) noexcept
exception_ptr (exception_ptr &&__o) noexcept
exception_ptr (nullptr_t) noexcept
const class std::type_info * __cxa_exception_type () const noexcept
operator bool () const noexcept
exception_ptr & operator= (const exception_ptr &) noexcept
exception_ptr & operator= (exception_ptr &&__o) noexcept
void swap (exception_ptr &) noexcept

  Friends
bool operator== (const exception_ptr &, const exception_ptr &) noexcept=default
exception_ptr std::current_exception () noexcept
template<typename _Ex > exception_ptr std::make_exception_ptr (_Ex) noexcept
void std::rethrow_exception (exception_ptr)

  Related Symbols
(Note that these are not member symbols.)
void swap (exception_ptr &__lhs, exception_ptr &__rhs)

Detailed Description

An opaque pointer to an arbitrary exception. The actual name of this type is unspecified, so the alias std::exception_ptr should be used to refer to it.

Since
    C++11 (but usable in C++98 as a GCC extension)

Author

Generated automatically by Doxygen for libstdc++ from the source code.